package com.cf.imes.module.system.validation.menu;

import com.cf.imes.framework.test.core.ut.BaseMockitoUnitTest;
import com.cf.imes.module.system.enums.permission.MenuSourceTypeEnum;
import jakarta.validation.ConstraintValidatorContext;
import org.junit.jupiter.api.Test;
import org.mockito.Mock;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;

/**
 * @author Gqr
 * @since 2025/10/29 9:23
 */
class MenuSourceTypeValidatorTest extends BaseMockitoUnitTest {
    @Mock
    private ConstraintValidatorContext constraintValidatorContext;

    @Test
    void testValid() {
        MenuSourceTypeValidator validator = new MenuSourceTypeValidator();
        assertTrue(validator.isValid(MenuSourceTypeEnum.PRODUCTION.getType(), constraintValidatorContext));
        assertTrue(validator.isValid(MenuSourceTypeEnum.MANAGEMENT.getType(), constraintValidatorContext));
        assertTrue(validator.isValid(null, constraintValidatorContext));
        assertFalse(validator.isValid(100, constraintValidatorContext));
    }
}
